Bug 719593 - [abrt] kernel: [283549.689709] WARNING: at net/mac80211/iface.c:718 ieee80211_iface_work+0x6c/0x2d2 [mac80211](): TAINTED ---------W
Summary: [abrt] kernel: [283549.689709] WARNING: at net/mac80211/iface.c:718 ieee80211...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:78b46e37544f6e0cf695d4b4957...
: 713177 720172 728715 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-07 12:36 UTC by linux@alteeve.com
Modified: 2012-06-06 15:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-06 15:54:49 UTC
Type: ---


Attachments (Terms of Use)

Description linux@alteeve.com 2011-07-07 12:36:17 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        ro root=/dev/mapper/luks-286cefbd-2b66-4f46-a623-27c3e33cfea0 rd_LUKS_UUID=luks-286cefbd-2b66-4f46-a623-27c3e33cfea0 rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
comment:        not sure how this happened, say the abrt after waking the laptop from sleep.
component:      kernel
kernel:         2.6.38.8-32.fc15.x86_64
kernel_tainted: 512
kernel_tainted_long: Taint on warning.
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         [283549.689709] WARNING: at net/mac80211/iface.c:718 ieee80211_iface_work+0x6c/0x2d2 [mac80211]()
time:           Sun Jun 26 10:08:33 2011

backtrace:
:[283549.689709] WARNING: at net/mac80211/iface.c:718 ieee80211_iface_work+0x6c/0x2d2 [mac80211]()
:[283549.689742] Hardware name: 2801CTO
:[283549.689746] interface work scheduled while going to suspend
:[283549.689751] Modules linked in: cdc_acm tcp_lp tun vfat fat usb_storage uas fuse hidp ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf rfcomm sco bnep l2cap ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables snd_hda_codec_conexant snd_hda_intel arc4 snd_hda_codec snd_hwdep snd_seq snd_seq_device i2c_i801 snd_pcm iwlagn iwlcore microcode btusb uvcvideo bluetooth videodev v4l2_compat_ioctl32 mac80211 snd_timer cfg80211 snd_page_alloc joydev iTCO_wdt iTCO_vendor_support e1000e wmi thinkpad_acpi rfkill snd soundcore virtio_net kvm_intel kvm ipv6 xts gf128mul pata_acpi dm_crypt ata_generic i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[283549.689894] Pid: 17431, comm: kworker/u:81 Not tainted 2.6.38.8-32.fc15.x86_64 #1
:[283549.689899] Call Trace:
:[283549.689916]  [<ffffffff8105511a>] warn_slowpath_common+0x83/0x9b
:[283549.689924]  [<ffffffff810551d5>] warn_slowpath_fmt+0x46/0x48
:[283549.689955]  [<ffffffffa027744e>] ieee80211_iface_work+0x6c/0x2d2 [mac80211]
:[283549.689986]  [<ffffffffa02773e2>] ? ieee80211_iface_work+0x0/0x2d2 [mac80211]
:[283549.689997]  [<ffffffff8106afb6>] process_one_work+0x186/0x298
:[283549.690030]  [<ffffffff8106b343>] worker_thread+0xda/0x15d
:[283549.690038]  [<ffffffff8106b269>] ? worker_thread+0x0/0x15d
:[283549.690045]  [<ffffffff8106b269>] ? worker_thread+0x0/0x15d
:[283549.690053]  [<ffffffff8106ebaf>] kthread+0x84/0x8c
:[283549.690062]  [<ffffffff8100a9e4>] kernel_thread_helper+0x4/0x10
:[283549.690070]  [<ffffffff8106eb2b>] ? kthread+0x0/0x8c
:[283549.690077]  [<ffffffff8100a9e0>] ? kernel_thread_helper+0x0/0x10

Comment 1 Dave Jones 2011-07-11 19:45:24 UTC
*** Bug 720172 has been marked as a duplicate of this bug. ***

Comment 2 John W. Linville 2011-07-12 19:43:38 UTC
        /*
         * ieee80211_queue_work() should have picked up most cases,
         * here we'll pick the rest.
         */
        if (WARN(local->suspended,
                 "interface work scheduled while going to suspend\n"))
                return;

Johannes, this is on a 2.6.38.8 (more-or-less) kernel -- not sure if this is a problem that still exists upstream, but I didn't easily find any patches in wireless-testing that obviously related to this.  Any ideas?

Comment 3 Stanislaw Gruszka 2011-07-13 13:03:18 UTC
*** Bug 713177 has been marked as a duplicate of this bug. ***

Comment 4 John W. Linville 2011-08-24 15:42:42 UTC
Does this problem persist with 2.6.40 (or later) kernels?

Comment 5 Dave Jones 2012-04-11 16:35:10 UTC
*** Bug 728715 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.